Bug 535133 - (RHQ-1860) test resource permission: Delete
test resource permission: Delete
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: fmatar
http://jira.rhq-project.org/browse/RH...
: SubTask
Depends On:
Blocks: RHQ-1848
  Show dependency treegraph
 
Reported: 2009-03-26 13:32 EDT by John Mazzitelli
Modified: 2009-11-10 16:22 EST (History)
0 users

See Also:
Fixed In Version: 1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-03-26 13:32:00 EDT

    
Comment 1 John Mazzitelli 2009-03-26 13:40:09 EDT
check that the delete permission works. I think this authorizes you to delete child resources (NOT uninventory - actual delete of managed resources)
Comment 2 fmatar 2009-04-14 09:36:14 EDT
The actual delete button is removed from the list of resources, let's say I create a group of compatible resources and add to it EJB3 entities, I can delete the resources there provided that I have the access however the functionality should be exposed from within the list. 

The logic should go as follows:
if (resource can be deleted)
    if (user has permission to delete the type of resources)
        showDeleteButton();

Comment 3 fmatar 2009-04-14 10:59:10 EDT
Delete functionality works as expected
Comment 4 Red Hat Bugzilla 2009-11-10 15:48:18 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1860

Note You need to log in before you can comment on or make changes to this bug.